﻿
using System.IO;
using System.Web.Mvc;
using System.Xml.Linq;
using System.Xml.Xsl;

namespace XsltViewEngine
{
    public class XsltView : IView
    {
        private readonly string _path;

        public XsltView(string path)
        {
            _path = path;
        }

        public void Render(ViewContext viewContext, TextWriter writer)
        {
            var xsltFile = viewContext.HttpContext.Server.MapPath(_path);
            var xmlData = viewContext.ViewData["data"] != null ? ((XElement)viewContext.ViewData["data"]).ToString() : "";

            var xmlTree = XDocument.Parse(xmlData);
            var xslt = new XslCompiledTransform();

            xslt.Load(xsltFile);
            xslt.Transform(xmlTree.CreateReader(), null, writer);
        }
    }
}