﻿using System.Web.Mvc;

namespace XsltViewEngine
{
    public class XsltViewEngine : VirtualPathProviderViewEngine
    {
        public XsltViewEngine()
        {
            ViewLocationFormats = new[] { "~/XSLTs/{1}/{0}.xsl", "~/XSLTs/Shared/{0}.xsl", "~/XSLTs/{1}/{0}.xslt", "~/XSLTs/Shared/{0}.xslt" };
            PartialViewLocationFormats = ViewLocationFormats;
        }

        protected override IView CreatePartialView(ControllerContext controllerContext, string partialPath)
        {
            return new XsltView(partialPath);
        }

        protected override IView CreateView(ControllerContext controllerContext, string viewPath, string masterPath)
        {
            return new XsltView(viewPath);
        }
    }
}